curl --request POST \
--url https://api.gmbapi.com/external-api/gmb/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"reference_id": "<string>",
"category_id": "<string>",
"address": "<string>",
"postal": "<string>",
"city": "<string>",
"country_code": "<string>",
"administrative_area": "<string>",
"additional_address_lines": [
"<string>"
],
"description": "<string>",
"phone_number": "<string>",
"additional_phone_numbers": [
"<string>"
],
"website_uri": "<string>",
"latitude": 0,
"longitude": 0,
"profile_logo_url": "<string>",
"cover_url": "<string>",
"additional_category_ids": [
"<string>"
],
"service_area_place_ids": [
"<string>"
],
"service_area_place_names": [
"<string>"
],
"placeId": "<string>",
"regular_hours": [
{
"open_time": {
"hours": "<string>",
"minutes": "<string>"
},
"close_time": {
"hours": "<string>",
"minutes": "<string>"
}
}
],
"special_hours": [
{
"open_date": "2023-12-25",
"close_date": "2023-12-25",
"is_closed": true,
"open_time": {
"hours": "<string>",
"minutes": "<string>"
},
"close_time": {
"hours": "<string>",
"minutes": "<string>"
}
}
]
}
'import requests
url = "https://api.gmbapi.com/external-api/gmb/location"
payload = {
"name": "<string>",
"reference_id": "<string>",
"category_id": "<string>",
"address": "<string>",
"postal": "<string>",
"city": "<string>",
"country_code": "<string>",
"administrative_area": "<string>",
"additional_address_lines": ["<string>"],
"description": "<string>",
"phone_number": "<string>",
"additional_phone_numbers": ["<string>"],
"website_uri": "<string>",
"latitude": 0,
"longitude": 0,
"profile_logo_url": "<string>",
"cover_url": "<string>",
"additional_category_ids": ["<string>"],
"service_area_place_ids": ["<string>"],
"service_area_place_names": ["<string>"],
"placeId": "<string>",
"regular_hours": [
{
"open_time": {
"hours": "<string>",
"minutes": "<string>"
},
"close_time": {
"hours": "<string>",
"minutes": "<string>"
}
}
],
"special_hours": [
{
"open_date": "2023-12-25",
"close_date": "2023-12-25",
"is_closed": True,
"open_time": {
"hours": "<string>",
"minutes": "<string>"
},
"close_time": {
"hours": "<string>",
"minutes": "<string>"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
reference_id: '<string>',
category_id: '<string>',
address: '<string>',
postal: '<string>',
city: '<string>',
country_code: '<string>',
administrative_area: '<string>',
additional_address_lines: ['<string>'],
description: '<string>',
phone_number: '<string>',
additional_phone_numbers: ['<string>'],
website_uri: '<string>',
latitude: 0,
longitude: 0,
profile_logo_url: '<string>',
cover_url: '<string>',
additional_category_ids: ['<string>'],
service_area_place_ids: ['<string>'],
service_area_place_names: ['<string>'],
placeId: '<string>',
regular_hours: [
{
open_time: {hours: '<string>', minutes: '<string>'},
close_time: {hours: '<string>', minutes: '<string>'}
}
],
special_hours: [
{
open_date: '2023-12-25',
close_date: '2023-12-25',
is_closed: true,
open_time: {hours: '<string>', minutes: '<string>'},
close_time: {hours: '<string>', minutes: '<string>'}
}
]
})
};
fetch('https://api.gmbapi.com/external-api/gmb/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"payload": {
"location_id": "<string>"
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"success": false,
"msg": "RATE_LIMIT_EXCEEDED",
"payload": {
"allowed": false,
"limit": 200,
"remaining": 0,
"retryAfter": 123
}
}Add Location
Creates a new location for the provided account. Requires an organization-level external API token.
account_id query parameter is required and identifies where the location should be created.
address, postal, city, country_code) are conditionally required. If you provide any one of them, all four must be included. The country_code must be a valid ISO 3166-1 alpha-2 code, such as US, GB, or DE.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Account ID where the location should be created.
Body
Name of the location
Your external reference ID for this location. Must be unique within the account.
Primary Google category ID. Must start with 'categories/gcid:'
^categories/gcid:Street address of the location. Required when any of postal, city, or country_code is provided.
Postal / ZIP code. Required when any of address, city, or country_code is provided.
City name. Required when any of address, postal, or country_code is provided.
ISO 3166-1 alpha-2 country code (e.g. 'US', 'GB', 'DE'). Required when any of address, postal, or city is provided.
^[A-Z]{2}$State, province, or administrative area
Additional address lines
Description of the location (max 750 characters)
Primary phone number in E.164 format
^\+?[1-9]\d{6,14}$Additional phone numbers in E.164 format (max 2)
2^\+?[1-9]\d{6,14}$Website URL (must be a valid URL)
Geographic latitude
-90 <= x <= 90Geographic longitude
-180 <= x <= 180URL of the profile logo / image (must be a valid URL)
URL of the cover image (must be a valid URL)
Additional Google category IDs
Google Place IDs for the service area
Place names corresponding to the service area place IDs
Google Place ID of the location
Regular business hours
Show child attributes
Show child attributes
Special business hours (holidays, events, etc.)
Show child attributes
Show child attributes